Cards, prop trading & accounting

Get Sync History

Cursor-paginates a connection's journal-entry sync records with optional invoice type and status filters.

GEThttps://api.toku.com/platform/get-sync-history

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/platform/get-sync-history?connectionId=%3CconnectionId%3E' \
  --header 'Authorization: Bearer <token>'
200 response
[
  {
    "id": "string",
    "connectionId": "string",
    "invoiceType": "EOR_PEO",
    "payPeriod": "string",
    "country": "string",
    "currency": "string",
    "groupingMode": "PER_CURRENCY",
    "groupKey": "string",
    "groupLabel": "string",
    "googleSheetUrl": "string",
    "mappingVersion": 0,
    "qboJournalEntryId": "string",
    "docNumber": "string",
    "totalDebits": "string",
    "totalCredits": "string",
    "status": "PREVIEWED",
    "errorMessage": "string",
    "errorCode": "string",
    "intuitTid": "string",
    "pushedBy": "string",
    "pushedAt": "string",
    "retryCount": 0,
    "reversedBy": "string",
    "reversedAt": "string",
    "reversingSyncId": "string",
    "dryRun": true,
    "createdAt": "string",
    "updatedAt": "string"
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

connectionIdstring<uuid>required
invoiceTypestring

Available options: EOR_PEO, CONTRACTOR, W2_YEAR_END, HRIS_PAYROLL

statusFilterstring

Available options: PREVIEWED, PUSHING, SUCCESS, FAILED, REVERSED

limitinteger

Allowed: 1 to 100

cursorstring

Allowed: at least 1 characters

Response

200Successful response
idstringrequired
connectionIdstringrequired
invoiceTypestringrequired

Available options: EOR_PEO, CONTRACTOR, W2_YEAR_END, HRIS_PAYROLL

payPeriodstringrequired
countrystringrequired
currencystringrequired
groupingModestringrequired

Available options: PER_CURRENCY, PER_COUNTRY, COMBINED

groupKeystringrequired
groupLabelstringrequired
googleSheetUrlstring | nullrequired
sheetDataSnapshotanyrequired
mappingSnapshotanyrequired
mappingVersionintegerrequired
qboRequestPayloadanyrequired
qboResponseanyrequired
qboJournalEntryIdstring | nullrequired
docNumberstringrequired
totalDebitsstringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

totalCreditsstringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

statusstringrequired

Available options: PREVIEWED, PUSHING, SUCCESS, FAILED, REVERSED

errorMessagestring | nullrequired
errorCodestring | nullrequired
intuitTidstring | nullrequired
pushedBystring | nullrequired
pushedAtstring | nullrequired
retryCountintegerrequired
reversedBystring | nullrequired
reversedAtstring | nullrequired
reversingSyncIdstring | nullrequired
dryRunbooleanrequired
createdAtstringrequired
updatedAtstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits